using System;
using System.IO;
using System.Reflection;
using Addison_Wesley.Codebook.Utils;
using System.Diagnostics;

namespace Nastavení_atributů_souboru
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
          Console.Title = "Nastavení atributů souboru (např. ochrany proti zápisu)";

         string applicationPath = Path.GetDirectoryName(Assembly.GetEntryAssembly().Location);
         string filename = Path.Combine(applicationPath, "Hitchhiker.txt");

         // Soubor skrytý a chráněný proti zápisu
         FileUtils.SetFileAttributes(filename, FileAttributes.Hidden | FileAttributes.ReadOnly);

         // Otevře Průzkumník v okně aplikace
         Process.Start("Explorer", applicationPath);

         Console.WriteLine("Soubor '" + filename + "' je nyní skrytý a chráněný proti zápisu");
         Console.WriteLine("Pro pokračování stiskni Enter");
         Console.ReadLine();

         // Odstraníme atributy skrytý a chráněný proti zápisu
         FileUtils.RemoveFileAttributes(filename, FileAttributes.Hidden | FileAttributes.ReadOnly);

         Console.WriteLine("Soubor '" + filename + "' již není skrytý a není chráněn proti zápisu");

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
